Bug 1730179 - The default values for OpenShift metrics(hawkular) on installation should be documented
Summary: The default values for OpenShift metrics(hawkular) on installation should be ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.11.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 3.11.z
Assignee: Michael Burke
QA Contact: Junqi Zhao
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-16 05:25 UTC by Masatoshi Hayashi
Modified: 2020-04-08 20:50 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-08 20:50:08 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Masatoshi Hayashi 2019-07-16 05:25:32 UTC
Document URL: 
https://docs.openshift.com/container-platform/3.11/install_config/cluster_metrics.html#metrics-ansible-variables

Section Number and Name:
Specifying Metrics Ansible Variables

Describe the issue: 
The document doesn't have information about the default value when users don't specify `openshift_metrics_cassandra_nodeselector` / `openshift_metrics_hawkular_nodeselector ` / `openshift_metrics_heapster_nodeselector `.

If users don't have any specific value in their inventory, the nodeselector becomes blank value("") like this:

```
$ oc get project openshift-infra -o yaml
apiVersion: project.openshift.io/v1
kind: Project
metadata:
  annotations:
    openshift.io/node-selector: ""
...
```

It means that the pods in openshift-infra ignore defaultNodeSelector and may be deployed to any kind of node.

I think the behavior is confusing and should be documented.

Suggestions for improvement: 
The documentation about the default behavior can be added to improvement.

Additional information:

Comment 1 Michael Burke 2020-04-02 21:03:52 UTC
Junqi -- Can you help with this? 

What is the installation behavior if the user does not specify `openshift_metrics_cassandra_nodeselector`, `openshift_metrics_hawkular_nodeselector `, or `openshift_metrics_heapster_nodeselector `?

If the user specifies one of these parameters, does he need to set them all?

Thanks for any help.

Michael

Comment 2 Junqi Zhao 2020-04-03 01:42:41 UTC
(In reply to Michael Burke from comment #1)
> Junqi -- Can you help with this? 
> 
> What is the installation behavior if the user does not specify
> `openshift_metrics_cassandra_nodeselector`,
> `openshift_metrics_hawkular_nodeselector `, or
> `openshift_metrics_heapster_nodeselector `?
> 
> If the user specifies one of these parameters, does he need to set them all?
> 
> Thanks for any help.
> 
> Michael

If they are set, the components will be deployed to the nodes which match the nodeSelector.
If not set, they can deployed on any schedulable nodes

Comment 3 Michael Burke 2020-04-03 17:08:35 UTC
Docs PR https://github.com/openshift/openshift-docs/pull/20900

Comment 4 Junqi Zhao 2020-04-07 01:52:23 UTC
lgtm


Note You need to log in before you can comment on or make changes to this bug.